Bug 9528 - Add delivery branch to the place hold display
Summary: Add delivery branch to the place hold display
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Hold requests (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-01 02:49 UTC by Liz Rea
Modified: 2016-01-27 01:12 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 9528 - Add delivery branch to the place hold display (5.71 KB, patch)
2014-09-30 16:23 UTC, Owen Leonard
Details | Diff | Splinter Review
[Revised] Bug 9528 - Add delivery branch to the place hold display (6.03 KB, patch)
2015-01-22 19:47 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED OFF]Bug 9528 - Add delivery branch to the place hold display (6.08 KB, patch)
2015-02-19 20:31 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 9528 - Add delivery branch to the place hold display (6.12 KB, patch)
2015-02-20 09:31 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Liz Rea 2013-02-01 02:49:17 UTC
It would be nice to see where each item was supposed to be delivered to, both for troubleshooting and verification purposes.

Bonus, it should be editable without deleting and re-adding the reserve.
Comment 1 Owen Leonard 2014-09-30 16:23:46 UTC Comment hidden (obsolete)
Comment 2 Christopher Brannon 2014-12-04 16:04:13 UTC
Owen,
When I apply patch and place two holds with different pickup locations, and look at the patron holds, I see a new header column, but no new td column.  So I end up with one less column in the table than I do in the header, and the headers are offset starting at the pickup location column.

Christopher
Comment 3 beroud 2014-12-11 11:01:30 UTC
Four holds  are placed on a same patron.
Pickup locations are correctly displayed, but the header of the new column « Pickup library» is not appeared. So, the last three headers of columns are also not correctly placed. (expiration,priority,delete)
Comment 4 Owen Leonard 2015-01-22 19:47:54 UTC Comment hidden (obsolete)
Comment 5 Nick Clemens 2015-02-19 20:31:17 UTC Comment hidden (obsolete)
Comment 6 Jonathan Druart 2015-02-20 09:31:12 UTC
Created attachment 36061 [details] [review]
Bug 9528 - Add delivery branch to the place hold display

When viewing the list of a patron's holds from the circulation or patron
detail page the pickup library is not listed. This patch adds a column
to the table of holds which shows the pickup branch.

This patch also removes some unnecessary markup from the generation of
the table and corrects an instance where the term "reserve" was used
instead of "hold."

This patch also modifies the language describing an item which is marked
waiting at the current library: "Item is waiting here" instead of "Item
waiting."

To test, add several holds to a patron's account with various pickup
locations.

- Confirm that those pickup locations are correctly displayed
  under the Holds tab in Circulation.

- Check in and confirm a hold which is to be picked up at the current
  branch. Confirm that the revised language appears.

- Confirm that table sorting works correctly.

Signed-off-by: Nick <Nick@quechelibrary.org>

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 7 Tomás Cohen Arazi 2015-04-30 19:48:53 UTC
Patch pushed to master.

We miss you Owen!